#ifndef IX_H
#define IX_H
/*
 * $Id: ix.h,v 1.3 2013/02/10 18:51:28 jacadcaps Exp $
 */

#include <exec/libraries.h>
#include <exec/ports.h>
#include <libraries/commodities.h>
#include <dos/dos.h>

#include <proto/exec.h>
#include <proto/commodities.h>

extern ULONG cxsig;
extern struct NewBroker newbroker;
extern CxObj *broker;
extern struct MsgPort *emp;

struct eventmsg {
	struct Message m;
	struct InputEvent ie;
};

#define EVT_CONNECT  0
#define EVT_CONNECT2 1
#define EVT_CONNECT3 2
#define EVT_CONNECT4 3

#define EVT_QUICKCONNECT 7
#define EVT_DISCONNECT 8
#define EVT_CAPTURETOGGLE 9

#define PIX_CONTINUE 0
#define PIX_QUIT 1

CxObj *bind_hotkey(STRPTR hotkey, int value);
int	process_ix(void);

int setup_newbroker(LONG priority);
void cleanup_newbroker(void);

#endif /* IX_H */
